Subject: RE: Draft: PI addressing derived from AS numbers

From: "Michel Py" <[email-masked]>
Date: Fri, 31 Jan 2003 08:24:04 -0800

Tim,

>> Michel Py wrote:
>> Someone please debunk me if I'm wrong, but I think that swamp
>> space was allocated without the current restrictions of either
>> having a distinct routing policy or being multihomed. This means
>> that they are a few guys that still have swamp space (a class C,
>> for the most part) and don't have an AS. These guys are not
>> multihomed, they just have their ISP announce their swamp prefix
>> and have the luxury of switching ISPs without renumbering, which
>> is exactly what PI is about: one _OWNS_ the address.

> Tim Chown wrote:
> And presumably these are a bigger hit on the DFZ routing table
> size than multihomers?

I don't think so, it more a matter of creating the precedent then real
savings on the routing table size.

Michel.

---

From: Tim Chown <[email-masked]>
Date: Fri, 31 Jan 2003 16:31:00 +0000

> savings on the routing table size.

OK, I beleive you, but would be interested in any stats in this area? 

Tim

---

From: Pekka Savola <[email-masked]>
Date: Fri, 31 Jan 2003 18:48:39 +0200 (EET)

> OK, I beleive you, but would be interested in any stats in this area? 

I'd like to hear a specific definition of this, so we could _have_ stats.

Do you mean announcing a more specific route from different origin AS 
than the aggregate?  Do you you want to restrict that to address blocks 
allocated by RIR's somehow, etc.?

I've actually done some analysis on a portion of the routing table to look 
for multihoming; extracting this info, if defined, might not be a problem.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings